MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031606Open CASCADE[OCCT] OCCT:Configurationpublic2020-06-10 19:502020-06-20 13:44
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031606: Configuration, CMake - build fails with Android NDK + CLang compiler + MinGW Makefiles
DescriptionBuilding with Android NDK 21c on Windows leads to the following error:
clang++: warning: argument unused during compilation: '-s' [-Wunused-command-line-argument]
c:\android-ndk-r21c\toolchains\llvm\prebuilt\windows-x86_64\bin/../lib/gcc/aarch64-linux-android/4.9.x/../../../../aarch64-linux-android/bin\ld: 
unrecognized option '--export-all-symbols'
c:\android-ndk-r21c\toolchains\llvm\prebuilt\windows-x86_64\bin/../lib/gcc/aarch64-linux-android/4.9.x/../../../../aarch64-linux-android/bin\ld: 
use the --help option for usage information
clang++: error: linker command failed with exit code 1 (use -v to see invocation)


Apparently, this happens due to "if(MINGW)" checks in CMake scripts intended only for GCC compiler and Windows target platform introduces by 0027197.
Steps To Reproduce
  cmake -G "MinGW Makefiles" ^
 -D CMAKE_SYSTEM_NAME:STRING="Android" ^
 -D CMAKE_ANDROID_NDK="c:/android-ndk-r21c" ^
 -D CMAKE_BUILD_TYPE:STRING="Release" ^
 -D CMAKE_ANDROID_ARCH_ABI:STRING="arm64-v8a" ^
 -D CMAKE_SYSTEM_VERSION:STRING="21" ^
 -D CMAKE_ANDROID_STL_TYPE="c++_shared" ^
 -D BUILD_LIBRARY_TYPE:STRING="Shared" ...
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
parent of 0031614assignedbugmaster Configuration, CMake - eliminate CLang -Wl,-s deprecated warning 
child of 0028135closedapn Configuration - adopt building script for using built-in Android cross-compiling support in CMake 3.7 
child of 0027197closedabv Configuration - fix compilation issues when using mingw 
child of 0026911closedbugmaster Configuration, CMake - strips symbol information from the binary in release configuration if the compiler is a variant of gcc 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0092537)
git (administrator)
2020-06-10 20:05

Branch CR31606 has been created by kgv.

SHA-1: bf1fbc76b4c8be2e4fd72ec94d7fc082a45bcec5


Detailed log of new commits:

Author: kgv
Date: Wed Jun 10 20:07:12 2020 +0300

    0031606: Configuration, CMake - build fails with Android NDK + CLang compiler + MinGW Makefiles
    
    CLang is now checked before MINGW within occt_defs_flags.cmake.
    Added "-Wl,-s" linker flag when using CLang for stripping symbols consistently to GCC builds.
(0092538)
git (administrator)
2020-06-10 22:00

Branch CR31606 has been updated forcibly by kgv.

SHA-1: 0fd2e6440efa01e1e0228cdd77ebb170c9062726
(0092541)
kgv (developer)
2020-06-11 08:24

Please raise the patch.

http://jenkins-test-12.nnov.opencascade.com/view/CR31606-CR31606-KGV/ [^]
(0092609)
git (administrator)
2020-06-20 13:42

Branch CR31606 has been deleted by inv.

SHA-1: 0fd2e6440efa01e1e0228cdd77ebb170c9062726

- Related Changesets
occt: master 32b723d5
Timestamp: 2020-06-10 17:07:12
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031606: Configuration, CMake - build fails with Android NDK + CLang compiler + MinGW Makefiles

CLang is now checked before MINGW within occt_defs_flags.cmake.
Added "-Wl,-s" linker flag when using CLang for stripping symbols consistently to GCC builds.
mod - adm/cmake/occt_defs_flags.cmake Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-06-10 19:50 kgv New Issue
2020-06-10 19:50 kgv Assigned To => kgv
2020-06-10 20:05 git Note Added: 0092537
2020-06-10 22:00 git Note Added: 0092538
2020-06-11 08:24 kgv Note Added: 0092541
2020-06-11 08:24 kgv Assigned To kgv => bugmaster
2020-06-11 08:24 kgv Status new => resolved
2020-06-11 08:24 kgv Status resolved => reviewed
2020-06-11 08:30 kgv Relationship added child of 0028135
2020-06-11 08:35 kgv Product Version 7.4.0 => 7.2.0
2020-06-11 08:35 kgv Relationship added child of 0027197
2020-06-11 08:36 kgv Relationship added child of 0026911
2020-06-11 08:38 kgv Product Version 7.2.0 => 7.0.0
2020-06-11 08:38 kgv Description Updated View Revisions
2020-06-14 10:52 bugmaster Changeset attached => occt master 32b723d5
2020-06-14 10:52 bugmaster Status reviewed => verified
2020-06-14 10:52 bugmaster Resolution open => fixed
2020-06-14 10:53 bugmaster Test case number => Not required
2020-06-17 13:45 kgv Relationship added parent of 0031614
2020-06-20 13:42 git Note Added: 0092609


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker